| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_extcap_parameters Struct Reference

Holds all runtime parameters and state for an extcap plugin, parsed from command-line arguments and used to drive capture and configuration operations. More...

`#include <extcap-base.h>`

## Public Attributes
char * | exename
char * | fifo
char * | control_in
char * | control_out
char * | interface
char * | capture_filter
char * | version
char * | compiled_with
char * | running_with
char * | helppage
uint8_t | capture
uint8_t | show_config
uint8_t | show_config_option
char * | config_option_name
char * | config_option_value
char * | ws_version
GList * | interfaces
uint8_t | do_version
uint8_t | do_list_dlts
uint8_t | do_list_interfaces
uint8_t | do_cleanup_postkill
GThread * | control_in_tid
int | control_in_fd
int | control_out_fd
char * | help_header
GList * | help_options
enum ws_log_level | debug
void(* | cleanup_postkill_cb )(void)

## Detailed Description

Holds all runtime parameters and state for an extcap plugin, parsed from command-line arguments and used to drive capture and configuration operations.

## Member Data Documentation

## ◆ capture

uint8_t _extcap_parameters::capture

Non-zero if the extcap was invoked to perform a live capture.

## ◆ capture_filter

char* _extcap_parameters::capture_filter

BPF or display filter string to apply during capture, or NULL if unfiltered.

## ◆ cleanup_postkill_cb

void(* _extcap_parameters::cleanup_postkill_cb) (void)

Optional callback invoked after the capture process is killed, for resource cleanup; NULL if unused.

## ◆ compiled_with

char* _extcap_parameters::compiled_with

Description of libraries and versions the extcap was compiled against.

## ◆ config_option_name

char* _extcap_parameters::config_option_name

Name of the specific configuration option to display when show_config_option is set.

## ◆ config_option_value

char* _extcap_parameters::config_option_value

Current value of the specific configuration option to display.

## ◆ control_in

char* _extcap_parameters::control_in

Path to the FIFO or pipe through which control messages are received from Wireshark.

## ◆ control_in_fd

int _extcap_parameters::control_in_fd

If control_in is non-NULL, the file descriptor of the control in pipe

## ◆ control_out

char* _extcap_parameters::control_out

Path to the FIFO or pipe through which control messages are written to Wireshark.

## ◆ control_out_fd

int _extcap_parameters::control_out_fd

If control_out is non-NULL, the file descriptor of the control out pipe

## ◆ debug

enum ws_log_level _extcap_parameters::debug

Log verbosity level controlling the detail of diagnostic messages emitted by the extcap.

## ◆ do_cleanup_postkill

uint8_t _extcap_parameters::do_cleanup_postkill

Non-zero if the extcap should invoke cleanup_postkill_cb after the capture process is terminated.

## ◆ do_list_dlts

uint8_t _extcap_parameters::do_list_dlts

Non-zero if the extcap was invoked with –extcap-dlts to list supported link-layer types.

## ◆ do_list_interfaces

uint8_t _extcap_parameters::do_list_interfaces

Non-zero if the extcap was invoked with –extcap-interfaces to enumerate available interfaces.

## ◆ do_version

uint8_t _extcap_parameters::do_version

Non-zero if the extcap was invoked with –extcap-version to report its version.

## ◆ exename

char* _extcap_parameters::exename

Path or name of the extcap executable.

## ◆ fifo

char* _extcap_parameters::fifo

Path to the FIFO or pipe through which captured packets are written to Wireshark.

## ◆ help_header

char* _extcap_parameters::help_header

Header text displayed at the top of the extcap's help output.

## ◆ help_options

GList* _extcap_parameters::help_options

List of help text entries describing the extcap's command-line options.

## ◆ helppage

char* _extcap_parameters::helppage

URL or path to the extcap plugin's help documentation.

## ◆ interface

char* _extcap_parameters::interface

Name of the extcap interface selected for this operation.

## ◆ interfaces

GList* _extcap_parameters::interfaces

List of extcap_interface entries describing the interfaces provided by this extcap.

## ◆ running_with

char* _extcap_parameters::running_with

Description of libraries and versions the extcap is running with at runtime.

## ◆ show_config

uint8_t _extcap_parameters::show_config

Non-zero if the extcap was invoked to display its configuration dialog.

## ◆ show_config_option

uint8_t _extcap_parameters::show_config_option

Non-zero if the extcap was invoked to display a specific configuration option.

## ◆ version

char* _extcap_parameters::version

Version string of the extcap plugin itself.

## ◆ ws_version

char* _extcap_parameters::ws_version

Wireshark version string passed by the Wireshark process that launched this extcap.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/extcap/extcap-base.h